function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import Twig from 'twig';

var ReactTwig = function (_React$Component) {
  _inherits(ReactTwig, _React$Component);

  function ReactTwig() {
    _classCallCheck(this, ReactTwig);

    return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
  }

  ReactTwig.prototype.compileTemplate = function compileTemplate(template, data) {
    return Twig.twig({ data: template }).render(data);
  };

  ReactTwig.prototype.render = function render() {
    var _props = this.props,
        template = _props.template,
        data = _props.data,
        Component = _props.Component;


    if (!template) {
      return false;
    }

    var __html = this.compileTemplate(template, data);

    return React.createElement(Component, { dangerouslySetInnerHTML: { __html: __html } });
  };

  return ReactTwig;
}(React.Component);

export { ReactTwig as default };


ReactTwig.defaultProps = {
  data: {},
  Component: 'div'
};

ReactTwig.propTypes = process.env.NODE_ENV !== "production" ? {
  Component: PropTypes.string.isRequired,
  template: PropTypes.string.isRequired,
  data: PropTypes.object
} : {};